<?xml version="1.0"?>
<!--
#
# System:		flash chart
#
# File:			dd_chart.xsl
#
# Title:		Flash chart
#
# Description:  
# 				Display a flashchart
#
# History:
# 12-12-2006	RuBr	Creator 
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">	
	<xsl:output method="xml"/>
	<xsl:template match="attr[@fieldtype='chart']">
		<xsl:variable name="xmlsource">
			<xsl:value-of select="encode-for-uri(concat(./content,'&amp;uniqueID=',generate-id(.)))"/>
		</xsl:variable>
		<div>
			<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="https://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0">
					<xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>
					<xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute>
					<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
					<xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>
					<PARAM name="movie">
						<xsl:attribute name="value">chart/charts.swf?library_path=chart/charts_library&amp;xml_source=<xsl:value-of select="$xmlsource"/></xsl:attribute>
					</PARAM>
				<PARAM NAME="quality" VALUE="high" />
				<PARAM NAME="bgcolor" VALUE="#ffffff" />
				
				<EMBED
				       quality="high" bgcolor="#ffffff" swLiveConnect="true" TYPE="application/x-shockwave-flash" PLUGINSPAGE="https://www.macromedia.com/go/getflashplayer">
				        <xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>
						<xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute>
						<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
						<xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>
						<xsl:attribute name="src">chart/charts.swf?library_path=chart/charts_library&amp;xml_source=<xsl:value-of select="$xmlsource"/></xsl:attribute>
				</EMBED>
			</OBJECT>
		</div>
	</xsl:template>
</xsl:stylesheet>