<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='gantt']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<div data-dojo-type="chy/widget/Gantt">
				<xsl:attribute name="id"><xsl:value-of select="generate-id()"/></xsl:attribute>
				<xsl:attribute name="data-dojo-props">
					url:'<xsl:value-of select="@data-url"/>',
					project_id:'<xsl:value-of select="@project_id"/>',
					parent_context_id:'<xsl:value-of select="@parent_context_id"/>',
					context_id:'<xsl:value-of select="@context_id"/>'
				</xsl:attribute>
				<xsl:attribute name="style">
				 width:100%; height:<xsl:value-of select="@height"/>;
				</xsl:attribute>
			</div>
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
