<?xml version="1.0"?>
<!--
#
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- left  bar -->
<xsl:template name="leftBar">
	
		<span class="leftbar_title"><xsl:value-of select="diag/*/attr[@id='SectionTitle']/content"/></span>
		<span class="leftmenu">
	  	<xsl:for-each select="diag/*/attr[@mode='left']">
	  		<xsl:if test="(not(contains(@lock,'true')) or not(@lock))">
				<ul>
					<li>
						<a class="leftbar">
							<xsl:attribute name="href">
						        <xsl:text>javascript:document.my.</xsl:text>
						        <xsl:value-of select="generate-id(.)"/>
						        <xsl:text>.click();</xsl:text>
							</xsl:attribute>
							
							<img border="0" alt="" height="32">
								<xsl:attribute name="id">block<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="src">
									<xsl:choose>
										<xsl:when test="@img[.!='']">images/<xsl:value-of select="@img"/></xsl:when>
										<xsl:otherwise>images/default.gif</xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
							</img>
							<xsl:call-template name="button"/> 
						</a>
					</li>
				</ul>
	  		</xsl:if>
		</xsl:for-each>
		</span>
		<span class="leftmenu">
		  	<xsl:for-each select="diag/*/attr[@mode='left2']">
		  		<xsl:if test="(not(contains(@lock,'true')) or not(@lock))">
					<ul>
						<li>
							<a class="leftbar">
								<xsl:attribute name="href">
							        <xsl:text>javascript:document.my.</xsl:text>
							        <xsl:value-of select="generate-id(.)"/>
							        <xsl:text>.click();</xsl:text>
								</xsl:attribute>
								
								<img border="0" alt="" height="32">
									<xsl:attribute name="id">block<xsl:value-of select="position()"/></xsl:attribute>
									<xsl:attribute name="src">
										<xsl:choose>
											<xsl:when test="@img[.!='']">images/<xsl:value-of select="@img"/></xsl:when>
											<xsl:otherwise>images/default.gif</xsl:otherwise>
										</xsl:choose>
									</xsl:attribute>
								</img>
								<xsl:call-template name="button"/> 
							</a>
						</li>
					</ul>
		  		</xsl:if>
			</xsl:for-each>
		</span>
  </xsl:template>

</xsl:stylesheet>











