<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:param name="cntxt"/>
<xsl:param name="DD_CONFIG_FILE"/>
<xsl:param name="DD_DIAG_MODE"/>
<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" media-type="text/plain"/>

<xsl:template match="/">
	<xsl:apply-templates select="/*"/>	
</xsl:template>

<xsl:template match="xam_export">
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="gen_taxonomy_type">
	INSERT INTO gen_taxonomy_type VALUES (kp_util.sanatizenumber($$<xsl:value-of select="@txnt_id"/>$$),$$<xsl:value-of select="@txnt_code"/>$$,$$<xsl:value-of select="@txnt_name"/>$$,$$<xsl:value-of select="@txnt_desc"/>$$,kp_util.sanatizenumber($$<xsl:value-of select="@txnt_hierarchical"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@txnt_searchable"/>$$));
</xsl:template>

<xsl:template match="gen_taxonomy">
	INSERT INTO gen_taxonomy VALUES (kp_util.sanatizenumber($$<xsl:value-of select="@txn_id"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@txn_parent_id"/>$$),$$<xsl:value-of select="@txn_name"/>$$,$$<xsl:value-of select="@txn_desc"/>$$,kp_util.sanatizenumber($$<xsl:value-of select="@txnt_id"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@deleted"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@sortorder"/>$$));
</xsl:template>

<xsl:template match="gen_taxonomy_language">
	INSERT INTO gen_taxonomy_language VALUES (kp_util.sanatizenumber($$<xsl:value-of select="@txn_language_id"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@txn_id"/>$$),$$<xsl:value-of select="@txn_desc"/>$$,$$<xsl:value-of select="@lang"/>$$);
</xsl:template>

</xsl:stylesheet>