define([
		"chy/_base/_ValidateMixin",
		"dojo/_base/declare",
		"dijit/form/Select",
		"chy/store/Json", 
		"dijit/Tooltip",
		"dijit/registry",
		"dojo/_base/xhr"
	], function(_ValidateMixin, declare, Select, Json, Tooltip, reg, xhr){
		
	return declare("chy.form.NamedSetSelect",[Select,_ValidateMixin],{	
		//constructor
		constructor: function(args){
			declare.safeMixin(this,args);
			//init widget
			this.inherited(arguments);
			//load store
			var urlWithOpt = this.dataUrl+'&P_SELECT_OPTION=1';
			this.sortByLabel=false;
			if(this.realRequired == 'false'){
				urlWithOpt += '&P_EMPTY_OPTION=1';
			}
			if (this.dataUrl !='') {
				this.store=new Json({idProperty:"value"});
					
				this.store.target=urlWithOpt;
				this.store.startLength=3;
				this.store.onQuery=function(items){
							console.log("select.onFetch",items);
							items.forEach(function(item){
								if (item.value!=null) {
									item.value=''+item.value;
								}
							});	
							
						}
				
			}
		},
		
		postCreate:function(){
			this.inherited(arguments);
			//start widget and select selected value
			//this.startup();
			initVal=this.default;
			if(this.val != ''){
				initVal=this.val.split("^^")[0]
			} else {
				initVal=this.default
			}
			if (this.dataUrl !='') {
				if (this.val !='') {
					//this._lastValueReported=parseInt(initVal);
					this._lastValueReported=initVal;
				}
				//this.set("value",parseInt(initVal),false);
				this.set("value",initVal,false);
			} else {
				this.set("value",initVal,false);
			}


		},

		onChange: function(e){
			this.inherited(arguments);
			//update _else value with display string
			if(e == null){
				reg.byId(this.formId).formNodeValue(this.name+'_else','');
			} else {
				reg.byId(this.formId).formNodeValue(this.name+'_else',this.get("displayedValue"));
			}
		},
			
		setLatestInstance: function(){
			var _this = this;
			xhr("GET", {
				url: "cheyenne?cddid=xam.json.latestinstance&cmode=json",
				handleAs: "json",
				error: function(error){
					console.error("Cthulhu",error);
				}
			}).then(function(data){
				var store=new Json({idProperty:"value"})
				store.target=_this.dataUrl;
				store.startLength=3;
				store.get(data.latestinstance, null).then(function(e){
					_this.addOption(e);
					_this.set('value',e.value);
				});	
				
			});
		}
	});
});
