<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: label

Description: A label element is only for display puposes

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- for backward compatibility all subtypes are named but are no longer necessary -->
	<xsl:template match="attr[@fieldtype='grid']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<div>
				<xsl:attribute name="class">box<xsl:text> </xsl:text><xsl:value-of select="@class" /></xsl:attribute>
				<xsl:for-each select="item">
<!--					<div>
						<xsl:attribute name="class" >
							<xsl:value-of select="@position"/>
						</xsl:attribute>-->
						<div class="grid">
							<xsl:attribute name="id">
								<xsl:value-of select="@id" />
							</xsl:attribute>
							<xsl:attribute name="style">width:<xsl:value-of select="@width" />
							</xsl:attribute>
							<xsl:comment>spacer</xsl:comment>
						</div>
						<input type="hidden" name="component_forward">
							<xsl:attribute name="target">
								<xsl:value-of select="@id"/>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:value-of select="@url"/>&amp;cmode=kpwindow_dialogborder_block</xsl:attribute>
						</input>
<!--					</div>-->
				</xsl:for-each>
			</div>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
