<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='plaintext']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<span class="objectpair">
				<xsl:if test="@class[.!='']"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
				<xsl:for-each select="par">
					<p>
						<xsl:if test="@class[.!='']"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
						<xsl:copy-of select="./text() | ./*"/>
					</p>
				 </xsl:for-each>
			</span>
		</xsl:if>
	</xsl:template>

	<xsl:template match="attr[@fieldtype='plain']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:copy-of select="./*"/>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
