<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" omit-xml-declaration="yes" media-type="text/csv"  encoding="ISO-8859-1"/>

<xsl:template match="/">
	<xsl:for-each select="diag">	
		<xsl:for-each select="attrset">
			<xsl:for-each select="attr">
				<xsl:call-template name="atter"/>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>
</xsl:template>

<xsl:template name="atter">
     <xsl:if test="@fieldtype[.='table_sel' or .='table_list' or .='table_multi_sel']">
     	<xsl:variable name="separator">
     		<xsl:choose>
     			<xsl:when test="@separator[.!='']"><xsl:value-of select="@separator" /></xsl:when>
     			<xsl:otherwise><xsl:text>;</xsl:text></xsl:otherwise>
     		</xsl:choose>	
     	</xsl:variable>
    	<xsl:for-each select="header">
        	<xsl:text>"</xsl:text>
        	<xsl:value-of select="normalize-space(.)"/>
        	<xsl:text>"</xsl:text>
        	<xsl:if test="position() != last()"><xsl:value-of select="$separator" /></xsl:if>
		</xsl:for-each>
       	<xsl:text>&#13;&#10;</xsl:text>
        <xsl:for-each select="item">
			<xsl:for-each select="label">
				<xsl:text>"</xsl:text>
				<xsl:value-of select="normalize-space(.)"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="position() != last()"><xsl:value-of select="$separator" /></xsl:if>
			</xsl:for-each>
         	<xsl:text>&#13;&#10;</xsl:text>
        </xsl:for-each>
     </xsl:if>
</xsl:template>

</xsl:stylesheet> 