<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:param name="cntxt"/>
<xsl:param name="DD_CONFIG_FILE"/>
<xsl:param name="DD_DIAG_MODE"/>
<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" media-type="text/plain"/>

<xsl:template match="/">
	<xsl:apply-templates select="/*"/>	
</xsl:template>

<xsl:template match="xam_export">
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="gen_enum_type">
	INSERT INTO gen_enum_type VALUES (kp_util.sanatizenumber($$<xsl:value-of select="@enum_type_id"/>$$),$$<xsl:value-of select="@enum_type_code"/>$$,$$<xsl:value-of select="@enum_type_name"/>$$,$$<xsl:value-of select="@enum_type_desc"/>$$,kp_util.sanatizenumber($$<xsl:value-of select="@enum_hierarchical"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@enum_searchable"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@enum_type_display_id"/>$$));
</xsl:template>

<xsl:template match="gen_enum">
	INSERT INTO gen_enum VALUES (kp_util.sanatizenumber($$<xsl:value-of select="@enum_id"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@enum_parent_id"/>$$),$$<xsl:value-of select="@enum_text_val"/>$$,kp_util.sanatizenumber($$<xsl:value-of select="@enum_numeric_val"/>$$),kp_util.sanatizedate($$<xsl:value-of select="@enum_date_val"/>$$), $$<xsl:value-of select="@enum_desc"/>$$,kp_util.sanatizenumber($$<xsl:value-of select="@enum_type_id"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@deleted"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@sortorder"/>$$));
</xsl:template>

<xsl:template match="gen_enum_language">
	INSERT INTO gen_enum_language VALUES (kp_util.sanatizenumber($$<xsl:value-of select="@enum_language_id"/>$$),kp_util.sanatizenumber($$<xsl:value-of select="@enum_id"/>$$),$$<xsl:value-of select="@enum_desc"/>$$,$$<xsl:value-of select="@lang"/>$$);
</xsl:template>

</xsl:stylesheet>