<?xml version="1.0" encoding="iso-8859-1"?>  
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
  <xsl:output method="xhtml" version="1.0" encoding="ISO-8859-1" indent="no" omit-xml-declaration="no" media-type="text/html" />

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="attrset">
    <!-- do nothing -->
  </xsl:template>

  <xsl:template match="/diag/maildata">
    <!-- Hier komt je HTML pagina. Let wel, dit moet XHTML zijn, dus alle tags
         moeten kloppen (open en sluit tags of tags met een directe sluit tag) -->
	<html>
		<head>
		</head>
  <body bgcolor="#FFFFFF" text="#000000">
    <div class="moz-forward-container">
      <title>Welcome to EASE</title>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
      <meta name="viewport" content="width=320,
        target-densitydpi=device-dpi"/>
      <table id="background-table" style="background-color:#ffffff;"
        border="0" cellpadding="0" cellspacing="0" width="100%">
        <tbody>
          <tr style="border-collapse: collapse">
            <td align="center">
              <table style="margin:0 10px;" border="0" cellpadding="0"
                cellspacing="0" width="640">
                <tbody>
                  <tr style="border-collapse: collapse">
                    <td height="30" width="640"><br/>
                    </td>
                  </tr>
                  <tr style="border-collapse: collapse; box-shadow:0px
                    1px 2px 0px rgba(0,0,0,0.2); -moz-box-shadow:0px 1px
                    2px 0px rgba(0,0,0,0.2); -webkit-box-shadow:0px 1px
                    2px 0px rgba(0,0,0,0.2);">
                    <td style="border-collapse:collapse;
                      font-family:'Proxima Nova', 'Helvetica Neue',
                      Arial, Helvetica, Geneva, sans-serif" width="640">
                      <table id="top-bar" style="border:1px solid
                        #e1e1e1; border-bottom:none;
                        -webkit-font-smoothing:antialiased;
                        background-color:#f3f6f8; color:#393535"
                        bgcolor="#000000" border="0" cellpadding="0"
                        cellspacing="0" width="640">
                        <tbody>
                          <tr height="35">
                          </tr>
                          <tr style="border-collapse: collapse">
                            <td style="border-collapse:
                              collapse;font-family: 'Proxima Nova',
                              'Helvetica Neue', Arial, Helvetica,
                              Geneva, sans-serif" width="15"><br/>
                            </td>
                            <td style="border-collapse:collapse;
                              font-family:'Proxima Nova', 'Helvetica
                              Neue', Arial, Helvetica, Geneva,
                              sans-serif" align="center" valign="middle"
                              width="350">
                              <h2 style="font-weight:300;
                                line-height:35px;"><strong>Account voor
                                  <xsl:copy-of select="appname" /> EASE Applicatie</strong><strong
                                  style="font-weight:600;"></strong> </h2>
                            </td>
                            <td width="15"><br/>
                            </td>
                          </tr>
                          <tr height="20">
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                  <tr id="simple-content-row" style="border-collapse:
                    collapse; box-shadow:0px 1px 2px 0px
                    rgba(0,0,0,0.2); -moz-box-shadow:0px 1px 2px 0px
                    rgba(0,0,0,0.2); -webkit-box-shadow:0px 1px 2px 0px
                    rgba(0,0,0,0.2);">
                    <td bgcolor="#ffffff" width="640">
                      <table border="0" cellpadding="0" cellspacing="0"
                        width="640">
                        <tbody>
                          <tr style="border-collapse: collapse">
                            <td width="640">
                              <table style="border:1px solid #e1e1e1;
                                border-top:none;" class="w640"
                                border="0" cellpadding="0"
                                cellspacing="0" width="640">
                                <tbody>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="580">
                                      <p class="article-title"
                                        style="font-size:
                                        18px;line-height: 24px;color:
                                        #2a2727;font-weight: bold;
                                        margin-top:35px;margin-bottom:
                                        18px;font-family: 'Proxima
                                        Nova', 'Helvetica Neue', Arial,
                                        Helvetica, Geneva, sans-serif"
                                        align="left"> Welkom, </p>
                                      <div class="article-content"
                                        style="font-size:
                                        14px;line-height: 22px;color:
                                        #2f3234;margin-top:
                                        0;margin-bottom:
                                        18px;font-family: 'Proxima
                                        Nova', 'Helvetica Neue', Arial,
                                        Helvetica, Geneva, sans-serif"
                                        align="left"> Er is een account
                                        voor jou geactiveerd voor <strong><a class="moz-txt-link-freetext"><xsl:attribute name="href"><xsl:copy-of select="url" /></xsl:attribute><xsl:copy-of select="url" /></a></strong>
                                        <br/>
                                        Je kunt direct aan de slag via de webbrowser.
										<br/>
										Gebruikersnaam:<xsl:copy-of select="username" />
										<br/>
										Wachtwoord: <xsl:copy-of select="password" />
										<br/>
                                        <ul style="list-style: decimal;
                                          margin: 20px 0 0 0;
                                          font-weight: bold;">
                                          <li style="margin: 20px 0;">
                                            Open je webbrowser<br
                                              style="line-height: 100%"/>
                                            <br style="line-height:
                                              100%"/>
                                            <a moz-do-not-send="true"
                                              style="color: #fff
                                              !important;font-weight:
                                              bold;text-decoration:
                                              none;padding: 10px
                                              25px;border-radius: 5px
                                              5px 5px
                                              5px;background-color:
                                              #2d74b8">
											  <xsl:attribute name="href"><xsl:copy-of select="url" /></xsl:attribute>
                                              Klik hier</a> </li>
                                        </ul>
                                      </div>
                                    </td>
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                  </tr>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      height="30" width="580"><br/>
                                    </td>
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                  </tr>
                                </tbody>
                              </table>
                              <table class="w640" bgcolor="#E7EFF5"
                                border="0" cellpadding="0"
                                cellspacing="0" width="640">
                                <tbody>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580 h0"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      height="30" width="360"><br/>
                                    </td>
                                  </tr>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="580">
                                      <p class="article-title"
                                        style="font-size:
                                        18px;line-height: 24px;color:
                                        #2a2727;font-weight:
                                        bold;margin-top:
                                        0;margin-bottom:
                                        18px;font-family: 'Proxima
                                        Nova', 'Helvetica Neue', Arial,
                                        Helvetica, Geneva, sans-serif"
                                        align="center"> Aan de slag in
                                        twee stappen:<br
                                          style="line-height: 100%"/>
                                      </p>
                                      <div class="article-content"
                                        style="font-size:
                                        14px;line-height: 22px;color:
                                        #2a2727;margin-top:
                                        0;margin-bottom:
                                        18px;font-family: 'Proxima
                                        Nova', 'Helvetica Neue', Arial,
                                        Helvetica, Geneva, sans-serif"
                                        align="left"> <br
                                          style="line-height: 100%"/>
                                        <ul class="numbered-list"
                                          style="margin-top:
                                          0;margin-bottom:
                                          18px;margin-left:
                                          19px;padding: 0;list-style:
                                          decimal">
                                          <li style="font-size:
                                            16px;line-height:
                                            24px;color:
                                            #2d74b8;font-family:
                                            'Proxima Nova', 'Helvetica
                                            Neue', Arial, Helvetica,
                                            Geneva,
                                            sans-serif;font-weight:
                                            600;margin: 0 0 20px 0">Wijzig
                                            je wachtwoord<br/>
                                            <p style="margin-bottom:
                                              15px;font-size:
                                              14px;color:
                                              #000;font-weight:
                                              normal;margin:
                                              0;line-height: 24px"> Om
                                              je wachtwoord te wijzigen,
                                              klik rechtsboven op
                                              wachtwoord wijzigen<br/>
                                            </p>
                                          </li>
                                          <li style="font-size:
                                            16px;line-height:
                                            24px;color:
                                            #2d74b8;font-family:
                                            'Proxima Nova', 'Helvetica
                                            Neue', Arial, Helvetica,
                                            Geneva,
                                            sans-serif;font-weight:
                                            600;margin: 0 0 20px 0">Ga
                                            aan de slag<br/>
                                          </li>
                                        </ul>
                                      </div>
                                    </td>
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                  </tr>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      height="30" width="580"><br/>
                                    </td>
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                  </tr>
                                </tbody>
                              </table>
                              <table class="w640" border="0"
                                cellpadding="0" cellspacing="0"
                                width="640">
                                <tbody>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580 h0"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      height="30" width="360"><br/>
                                    </td>
                                  </tr>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="580">
                                      <div class="article-content"
                                        style="font-size:
                                        14px;line-height: 22px;color:
                                        #2a2727;margin-top:
                                        0;margin-bottom:
                                        18px;font-family: 'Proxima
                                        Nova', 'Helvetica Neue', Arial,
                                        Helvetica, Geneva, sans-serif"
                                        align="left"> EASE Software
                                        werkt eenvoudig en snel, maar
                                        mocht je vragen hebben, dan
                                        horen we die graag. Neem contact
                                        op met <a
                                          moz-do-not-send="true"
                                          href="mailto:support@benp.nl?subject=Support%20for%20EASE"
                                          style="color: #2d74b8;">support@benp.nl</a>.<br/>
                                      </div>
                                    </td>
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                  </tr>
                                  <tr style="border-collapse: collapse">
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                    <td class="w580"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      height="30" width="580"><br/>
                                    </td>
                                    <td class="w30"
                                      style="border-collapse:
                                      collapse;font-family: 'Proxima
                                      Nova', 'Helvetica Neue', Arial,
                                      Helvetica, Geneva, sans-serif"
                                      width="30"><br/>
                                    </td>
                                  </tr>
                                </tbody>
                              </table>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                  <tr style="border-collapse: collapse; ">
                    <td class="w640" style="border-collapse:
                      collapse;font-family: 'Proxima Nova', 'Helvetica
                      Neue', Arial, Helvetica, Geneva, sans-serif"
                      width="640">
                      <table id="footer" class="w640"
                        style="border-radius: 0 0 6px
                        6px;-moz-border-radius: 0 0 6px
                        6px;-webkit-border-radius: 0 0 6px
                        6px;-webkit-font-smoothing: antialiased;color:
                        #fff" border="0" cellpadding="0" cellspacing="0"
                        width="640">
                        <tbody>
                          <tr style="border-collapse: collapse">
                            <td height="30px"><br/>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </td>
                  </tr>
                  <tr style="border-collapse: collapse">
                    <td style="border-collapse: collapse;font-family:
                      'Proxima Nova', 'Helvetica Neue', Arial,
                      Helvetica, Geneva, sans-serif" height="60"
                      width="640"><br/>
                    </td>
                  </tr>
                </tbody>
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </body>
</html>
</xsl:template>

</xsl:stylesheet> 

 



