<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='highchart']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			
			<input type="hidden" name="component_onload">
				<xsl:attribute name="value">
					displayHighCharts('<xsl:value-of select="@id"/>', '<xsl:value-of select="@definition" />', '<xsl:value-of select="content" />');
				</xsl:attribute>
			</input>
			
			
			<div>
				<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:attribute name="style">
					<xsl:choose>
						<xsl:when test="@height[.!='']">height:<xsl:value-of select="@height"/>;</xsl:when>
						<xsl:otherwise>height: 400px;</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			
				<xsl:comment>space</xsl:comment>
			</div>
			
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
