<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="tabset">
		<xsl:variable name="formid" select="$formid" />
		<xsl:comment>tab_container</xsl:comment>
		<div>
			<xsl:attribute name="id">tc_<xsl:value-of select="generate-id()" /></xsl:attribute>
				<xsl:apply-templates />			
			<xsl:comment>spacer</xsl:comment>
		</div>
		<xsl:comment>spacer</xsl:comment>
			<input type="hidden" name="component_onload">
				<xsl:attribute name="value">
					showTabContainer('tc_<xsl:value-of select="generate-id()" />');
				</xsl:attribute>
			</input>
		
		

	</xsl:template>

	<xsl:template match="tab">
		<xsl:variable name="formid" select="$formid" />
		<div>
			<xsl:attribute name="id"><xsl:value-of select="@id" /></xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="@title" /></xsl:attribute>
			<xsl:apply-templates />	
		</div>
	</xsl:template>
</xsl:stylesheet>
